Node
Class defined in model/data/Node.js#15 inherits from
new Node()
Constructor defined in model/data/Node.js#20
this.isInstanceOf(typeName)
Method defined in model/data/Node.js#57

Check if the node is of a given type.

Parameters

typeName | String |

Returns

Boolean | true if the node has a parent with given type, false otherwise.

this.getTypeNames()
Method defined in model/data/Node.js#66

Get a the list of all polymorphic types.

Returns

String[] | An array of type names.

this.getPropertyType()
Method defined in model/data/Node.js#82

- Get the type of a property.
- @param {String} propertyName
- @returns The property's type.

this.toJSON()
Method defined in model/data/Node.js#92

Convert node to JSON.

Returns

Object | JSON representation of node.

Node.isInstanceOf()
Static Method defined in model/data/Node.js#130

Internal implementation of Node.prototype.isInstanceOf.

Returns

Boolean |